Subject: Re: bug#30743: 26.0.91; ERT "wrong-type-argument" errors

From: Glenn Morris <[email-masked]>
Date: Fri, 16 Mar 2018 14:56:19 -0400

Live System User wrote:

> 0. Obtain virtualwrapper.el ZIP file and unpack from:
>
>       https://github.com/porterjamesj/virtualenvwrapper.el
>
> 1. cd virtualenvwrapper.el-master/
>
> 2. emacs -Q &
>
> 3. M-: (setq package-archives '(("gnu" . "https://elpa.gnu.org/packages/")
>                ("melpa" . "https://melpa.org/packages/")))
>
> 4. M-: (setq package-user-dir (expand-file-name "~/.emacs.d/temp-elpa"))
>
> 4. M-x package-list-packages
>      Install packages: "dash" "s" "noflet" and "with-simulated-input"
>
> 5. M-x load-file
>    Load file: virtualenvwrapper.el-master/test/virtualenvwrapper-test.el
>
> 6. M-x ert RET
>
> Wait for tests to finish...
>
> 7.  From menubar, click:
>
>    ERT Results->Show messages
>    Wrong type argument: arrayp, nil

I highly doubt this is the minimal recipe.
Nevertheless, I followed it (noflet failed to compile).
I still don't see the issue.